## List transactions by organization

**get** `/api/v1/transactions`

List transactions by organization

### Query Parameters

- `organization_id: string`

- `page: optional number`

- `per_page: optional number`

### Returns

- `data: array of object { id, amount, created_at, 10 more }`

  - `id: string`

  - `amount: number`

    Amount in minor units

  - `created_at: string`

  - `currency: string`

  - `from_account_id: string`

  - `organization_id: string`

  - `status: "pending" or "posted" or "failed"`

    - `"pending"`

    - `"posted"`

    - `"failed"`

  - `to_account_id: string`

  - `transaction_kind: "deposit" or "withdraw" or "transfer"`

    - `"deposit"`

    - `"withdraw"`

    - `"transfer"`

  - `updated_at: string`

  - `environment: optional string`

  - `failure_reason: optional string`

  - `idempotency_key: optional string`

- `pagination: object { page, per_page, total_count, total_pages }`

  - `page: number`

  - `per_page: number`

  - `total_count: number`

  - `total_pages: number`

### Example

```http
curl https://accounts-service-staging.up.railway.app/api/v1/transactions \
    -H "X-API-Key: $RAILS_API_KEY"
```

#### Response

```json
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "amount": 0,
      "created_at": "2019-12-27T18:11:19.117Z",
      "currency": "currency",
      "from_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "organization_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "pending",
      "to_account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "transaction_kind": "deposit",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "environment": "environment",
      "failure_reason": "failure_reason",
      "idempotency_key": "idempotency_key"
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 1,
    "total_count": 0,
    "total_pages": 0
  }
}
```
